Bug 121992 - usb networking error: "NETDEV WATCHDOG: usb0: transmit timed out"
usb networking error: "NETDEV WATCHDOG: usb0: transmit timed out"
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Depends On:
  Show dependency treegraph
Reported: 2004-04-29 12:20 EDT by Michael Opdenacker
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-30 02:38:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Opdenacker 2004-04-29 12:20:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040422

Description of problem:

I'm using usb networking (usbnet module) to connect
my HP iPAQ H2210 PDA (running Linux 2.6.3 with 
the Familiar distribution) to my laptop:

As soon as I plug in my iPAQ, I can see that
the "usb0" network device is available:

> ifconfig -a

usb0      Link encap:Ethernet  HWaddr 52:27:5E:D3:3F:A5
          inet addr:  Bcast:  Mask:
          inet6 addr: fe80::5027:5eff:fed3:3fa5/64 Scope:Link
          RX packets:1 errors:0 dropped:0 overruns:0 frame:0
          TX packets:19 errors:4 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:28 (28.0 b)  TX bytes:1274 (1.2 Kb)

Then, I run the below commands:

> ifconfig usb0
> route add dev usb0

and then I can ping the iPAQ ( without any problem. 

This works fine with FC1, FC2 T2, but no longer works with
FC2 T3 :-(

I noticed the below error in /var/log/messages:

Apr 29 17:49:21 localhost kernel: usb 2-2: new full speed USB device
using address 7
Apr 29 17:49:21 localhost kernel: usb0: register usbnet at
usb-0000:02:0a.0-2, Linux Device
Apr 29 17:49:27 localhost udev[3339]: removing device node '/udev/ttyUSB0'
Apr 29 17:49:46 localhost kernel: NETDEV WATCHDOG: usb0: transmit
timed out

Here's information about my USB controllers ("lspci" output):

02:0a.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1
Controller (rev 50)
02:0a.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1
Controller (rev 50)
02:0a.2 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 51)

If other users are facing such an issue too, connecting to
another computer through USB networking, I'll be glad
to hear details! So, don't hesitate to post your comments
about this ticket.

I'll try with the latest stock kernel too...



Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Connect another GNU/Linux computer with
   a kernel supporting USB networking, through a USB cable.
2. Check that you have a "usbnet" network device
3. Run the ifup and route commands on both computers,
   and try to ping the remote computer

Additional info:
Comment 1 Michael Opdenacker 2004-04-30 02:11:36 EDT
Good news!

This issue no longer happens with Linux 2.6.6-rc3-bk1.
I used the same config file as in the Linux 2.6.5-1.327
kernel shipped with FC2 T3.

So, this is a kernel issue, and I hope FC2 T3
will ship with a more recent kernel.

Thanks for everything that you do.
Good luck for the finish line!


Comment 2 Michael Opdenacker 2004-04-30 02:14:52 EDT
Oops, I meant "FC2 Final" and not "FC2 T3"
Comment 3 Pete Zaitcev 2004-04-30 02:37:44 EDT
I'll close then.

The problem is how upstream keeps a paced development...
Comment 4 Michael Opdenacker 2004-04-30 03:16:05 EDT
Thanks Pete!

I'm not familiar with Fedora / Red Hat's development process,
I read the bugzilla's documentation about "UPSTREAM",
but still I wonder whether it's all right to close this bug,
before a package fixing it is released.

Another issue that I see is that another
Fedora tester may encounter the same bug, will search for open
bugs about it, and will not find this entry with default
search settings, as it is closed.

Because of this, (s)he will file one more bugzilla ticket about the
same issue.

What do you think?



Comment 5 Pete Zaitcev 2004-04-30 03:22:34 EDT
I prefer to get dups.

Yes, strictly speaking it's premature to close. However I swim
in bugs, so I have to cull the field.

Comment 6 Michael Opdenacker 2004-04-30 03:46:03 EDT
Hi Pete,

I understand.
Do what's more convenient for you. I trust you...

Anyway, I'll keep an eye on this issue, as this is
something I do every day.

Thanks again!


Comment 7 Michael Opdenacker 2004-05-12 10:22:42 EDT

This no longer happens with Linux 2.6.5-1.358.



Note You need to log in before you can comment on or make changes to this bug.